% Interface for 3D unit cell of a hexagonal lattice 
% 2D-periodic hexagonal array of 3D cones 
% with capping layer and with corner rounding

keys.uol = 1e-9;
keys.p = 500.0; % periodicity length
keys.h1 = 350.0; % height of lower material
keys.h2 = 80.0; % height of top material (capping layer)
keys.radius_bottom = 150; % cone radius bottom
keys.cone_swa = 83.0; % cone sidewall angle
keys.corner_rounding_r = 30.0; % top corner rounding radius
keys.corner_rounding_n = 2; % corner rounding number of segments

keys.slc1 = 100; % maximum triangle sidelength

jcmwave_geo('.', keys, 'jcmt_pattern', 'matlab', 'show', inf);
